Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.emf.ecp.view.spi.group.model
Enum GroupLabelAlignment

    java.lang.Object
      java.lang.Enum<GroupLabelAlignment>
          org.eclipse.emf.ecp.view.spi.group.model.GroupLabelAlignment

All Implemented Interfaces:
  Serializable, Comparable<GroupLabelAlignment>, org.eclipse.emf.common.util.Enumerator

    public enum GroupLabelAlignment

extends Enum<GroupLabelAlignment>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Label Alignment', and utility methods for working with them.

Since:
  1.3
See Also:
  `VGroupPackage.getGroupLabelAlignment()`

Enum Constant Summary
`INPUT_ALIGNED` The 'Input Aligned' literal object.
`LABEL_ALIGNED` The 'Label Aligned' literal object.

Field Summary
`static int` | `INPUT_ALIGNED_VALUE` The 'Input Aligned' literal value.
`static int` | `LABEL_ALIGNED_VALUE` The 'Label Aligned' literal value.
`static List<GroupLabelAlignment>` | `VALUES` A public read-only list of all the 'Label Alignment' enumerators.

Method Summary
`static GroupLabelAlignment` | `get(int value)` Returns the 'Label Alignment' literal with the specified integer value.
`static GroupLabelAlignment` | `get(String literal)` Returns the 'Label Alignment' literal with the specified literal value.
`static GroupLabelAlignment` | `getByName(String name)` Returns the 'Label Alignment' literal with the specified name.
`String` | `getLiteral()`
`String` | `getName()`
`int` | `getValue()`
`String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static GroupLabelAlignment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupLabelAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LABEL_ALIGNED

    public static final GroupLabelAlignment LABEL_ALIGNED

  The 'Label Aligned' literal object.

  See Also:
    `LABEL_ALIGNED_VALUE`

### INPUT_ALIGNED

    public static final GroupLabelAlignment INPUT_ALIGNED

  The 'Input Aligned' literal object.

  See Also:
    `INPUT_ALIGNED_VALUE`

Field Detail

### LABEL_ALIGNED_VALUE

    public static final int LABEL_ALIGNED_VALUE

  The 'Label Aligned' literal value.

  If the meaning of 'Label Aligned' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LABEL_ALIGNED`, Constant Field Values

### INPUT_ALIGNED_VALUE

    public static final int INPUT_ALIGNED_VALUE

  The 'Input Aligned' literal value.

  If the meaning of 'Input Aligned' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INPUT_ALIGNED`, Constant Field Values

### VALUES

    public static final List<GroupLabelAlignment> VALUES

  A public read-only list of all the 'Label Alignment' enumerators.

Method Detail

### values

    public static GroupLabelAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GroupLabelAlignment c : GroupLabelAlignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GroupLabelAlignment valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static GroupLabelAlignment get(String literal)

  Returns the 'Label Alignment' literal with the specified literal value.

### getByName

    public static GroupLabelAlignment getByName(String name)

  Returns the 'Label Alignment' literal with the specified name.

### get

    public static GroupLabelAlignment get(int value)

  Returns the 'Label Alignment' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<GroupLabelAlignment>`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015. All Rights Reserved.